Package org.codehaus.plexus.util.cli

## Interface CommandLineCallable

All Superinterfaces:
  `java.util.concurrent.Callable<java.lang.Integer>`

    public interface CommandLineCallable
    extends java.util.concurrent.Callable<java.lang.Integer>

Callable wrapper that exposes the proper exception type to the client.

Author:
  Kristian Rosenvold

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Integer` `call()`

### Method Detail

#### call

    java.lang.Integer call()
                    throws CommandLineException

Specified by:
  `call` in interface `java.util.concurrent.Callable<java.lang.Integer>`
Throws:
  `CommandLineException`